# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define upname numdisplay

Name: python-numdisplay
Version: 1.5.6
Release: 9%{?dist}
Summary: Visualize numpy array objects in ds9

License: BSD

URL: http://stsdas.stsci.edu/numdisplay
Source0: http://stsdas.stsci.edu/numdisplay/download/numdisplay-%{version}.tar.gz
Patch0: numdisplay-numpy-fix.patch
Provides: numdisplay
Requires: numpy
BuildRequires: python-devel
BuildArch: noarch

%description
Numdisplay provides the capability to visualize numpy array objects using 
astronomical image display tools such as DS9 or XIMTOOL directly from 
the Python command line. This task can display any numpy object, whether 
it was created interactively or read in from a FITS file using PyFITS 
on any platform which supports Python and numpy.

%prep
%setup -q -n %{upname}
%patch0 -p1

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%files
%doc lib/LICENSE.txt 
%{python_sitelib}/%{upname}
%{python_sitelib}/%{upname}*.egg-info
%exclude %{python_sitelib}/%{upname}/LICENSE.txt

%changelog
* Tue Nov 19 2013 Sergio Pascual <sergiopr@fedoraproject.org> - 1.5.6-9
- Fix source url
- Remove buildroot and other macros of older RPM
- Fix wrong dates in changelog

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Nov 24 2011 Sergio Pascual <sergiopr@fedoraproject.org> - 1.5.6-4
- Fix to make numdisplay work with numpy >= 1.6 (bz #756358)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.5.6-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed Jan 20 2010 Sergio Pascual <sergiopr@fedoraproject.org> - 1.5.6-1
- New upstream source.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri May 22 2009 Sergio Pascual <sergiopr@fedoraproject.org> - 1.5.4-1
- New upstream source.

* Fri Feb 27 2009 Sergio Pascual <sergiopr@fedoraproject.org> - 1.5.3-4
- Fixing missing package name in LICENSE.txt exclude

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 22 2009 Sergio Pascual <sergiopr@fedoraproject.org> - 1.5.3-2
- Removing LICENSE.txt from sitelib

* Mon Dec 22 2008 Sergio Pascual <sergiopr@fedoraproject.org> - 1.5.3-1
- New upstream version
- Docs aren't in the tarball, removed

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.4-3
- Rebuild for Python 2.6

* Wed Jul 09 2008 Sergio Pascual <sergiopr@fedoraproject.org> - 1.4-2
- Fixed typo in description
- Removed the python macro not needed

* Wed Jul 09 2008 Sergio Pascual <sergiopr@fedoraproject.org> - 1.4-1
- Initial specfile

